package xyz.matj1.bp.themes;

import org.jfree.chart.JFreeChart;
import org.jfree.chart.renderer.xy.XYLineAndShapeRenderer;

public class SmoothXyGraphTheme extends XyGraphTheme {
	@Override
	public void apply(JFreeChart chart) {
		super.apply(chart);
		chart.getXYPlot().setRenderer(new XYLineAndShapeRenderer(true, false));
	}

	public static void to(JFreeChart chart) {
		new SmoothXyGraphTheme().apply(chart);
	}
}
