package xyz.matj1.bp.themes;

import org.jfree.chart.ChartTheme;
import org.jfree.chart.JFreeChart;
import org.jfree.chart.ui.RectangleInsets;

import java.awt.Color;

public class XyGraphTheme implements ChartTheme {
	@Override
	public void apply(JFreeChart chart) {
		chart.setPadding(RectangleInsets.ZERO_INSETS);
		chart.getPlot().setBackgroundPaint(Color.WHITE);
		chart.setBorderVisible(false);
	}

	public static void to(JFreeChart chart) {
		new XyGraphTheme().apply(chart);
	}
}
