package xyz.matj1.bp.types;

/**
 * A pair of values
 *
 * @param a the first value
 * @param b the second value
 */
public record Pair<A, B>(A a, B b) {
	public String toString() {
		return "(" + a.toString() + ", " + b.toString() + ")";
	}
}
